#pragma once

#include "CoreMinimal.h"
#include "EHealthState.h"
#include "HealResult.generated.h"

class ADBDPlayer;

USTRUCT(BlueprintType)
struct FHealResult
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	EHealthState PreviousHealthState;

	UPROPERTY(BlueprintReadWrite, Transient)
	EHealthState CurrentHealthState;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 HealAmount;

	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<ADBDPlayer*> Healers;

public:
	DEADBYDAYLIGHT_API FHealResult();
};

FORCEINLINE uint32 GetTypeHash(const FHealResult) { return 0; }
